package common.block.natural;

import common.block.Block;
import common.block.Material;
import common.item.CheatTab;
import common.model.Model;
import common.model.ModelProvider;
import common.world.State;

public class BlockSandStone extends Block {
	private final String texture;

	public BlockSandStone(String texture) {
		super(Material.SOLID);
		this.texture = texture;
		this.setTab(CheatTab.NATURE);
	}

	public Model getModel(ModelProvider provider, String name, State state) {
		return provider.getModel("sandstone_" + this.texture).add().nswe().d("sandstone_bottom").u("sandstone_all");
	}
}
